%define name	libusb
%define	version	0.1.12
%define	release	%mkrel 12

%define api	0.1
%define major	4
%define libname	%mklibname usb %{api} %{major}
%define develname %mklibname usb -d
%define staticdevel %mklibname usb -d -s
%define basiclibname	%{name}%{api}

Summary:	Library which allows userspace access to USB devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/libusb/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}%{release}--root
URL:		http://libusb.sf.net/
# (tpg) 0.1.12-5mdv don't use uninitialized buffers on stack (Fedora)
Patch0:		libusb-0.1.12-memset.patch
# (fc) 0.1.12-6mdv optimize usb_find_device (Fedora)
Patch1:		libusb-0.1.12-openat.patch
# (fc) 0.1.12-11mdv fix concurrency timeout handling (Graeme Gill)
Patch2:		libusb-0.1.12-concurrency-timeout.patch
Patch3:		libusb-0.1.12-drop-header-detection.patch

Conflicts:	kdegraphics < 2.2.2-4mdk, libgphoto2 < 2.0-0.beta3.5mdk, libgpio0 < 0.0.2-5mdk, libsane1 < 1.0.7-0.beta2.1mdk
# doc build is disabled
#BuildRequires:	openjade docbook-dtd31-sgml docbook-style-dsssl

%description
Libusb is a library which allows
userspace access to USB devices

%package -n	%{libname}
Summary:        Library which allows userspace access to USB devices
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{basiclibname} = %{version}-%{release}

%description -n	%{libname}
Libusb is a library which allows
userspace access to USB devices

%package -n	%{develname}
Summary:        Library which allows userspace access to USB devices
Group:          Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{basiclibname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname usb %{api} %{major} -d
Provides:	%mklibname usb %{api} %{major} -d

%description -n	%{develname}
This package includes the header files and shared libraries
necessary for developing programs which will access USB devices using
the %{name} library.

If you are going to develop programs which will access USB devices,
you should install this package.

%package -n	%{staticdevel}
Summary:        Static libraries for libusb
Group:          Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{basiclibname}-static-devel = %{version}-%{release}
Requires:	%{libname}-devel = %{version}-%{release}
Obsoletes:	%mklibname usb %{api} %{major} -d -s

%description -n	%{staticdevel}
This package includes the static libraries necessary for developing
programs which will access USB devices using the %{name} library.

If you are going to develop programs which will access USB devices,
you should install this package.

%prep
%setup -q
%patch0 -p1 -b .memset
%patch1 -p1 -b .openat
%patch3 -p0 -b .header
#disabled for now, cause pilot-link regression (Mdv bug #43738)
#%patch2 -p1 -b .concurrency-timeout

#needed by patch2
#autoreconf

%build
#docbook-utils failed to process doc:
autoreconf -fi
%configure2_5x --disable-build-docs
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/libusb-config

# move libs to /%_lib for UPS shutdown
mkdir -p %{buildroot}/%_lib
pushd %{buildroot}%{_libdir}
mv *.so.* ../../%_lib/
# run lib_symlinks here so that we can remove what we want afterwards
%{_datadir}/spec-helper/lib_symlinks
rm -f libusb*.so.*
export DONT_SYMLINK_LIBS=1
# XXX: fix libusb.la if it's used with ltdlopen, i.e. current usage
# only works to build stuff, aka .so symlink is not dispatched and.
ln -sf ../../%{_lib}/libusb-%{api}.so.%{major} libusb.so
ln -sf ../../%{_lib}/libusbpp-%{api}.so.%{major} libusbpp.so
popd
ln -s ../usr/lib/libusb.la %{buildroot}/%_lib

%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif


%files -n %{libname}
%defattr(-,root,root)
%doc README
/%{_lib}/*.so.*
# needed for programs using dlopen():
/%{_lib}/*.la

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS README INSTALL.libusb NEWS ChangeLog
#%doc doc/html
%{_bindir}/libusb-config
%multiarch %{multiarch_bindir}/libusb-config
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%files -n %{staticdevel}
%defattr(-,root,root)
%doc README
%{_libdir}/*.a


%changelog
* Tue Apr 07 2009 Funda Wang <fundawang@mandriva.org> 0.1.12-12mdv2009.1
+ Revision: 364655
- fix detection on cxx

* Wed Sep 10 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.12-12mdv2009.0
+ Revision: 283455
- Disable patch2, it causes regression in pilot-link (Mdv bug #43738)

* Tue Jul 01 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.12-11mdv2009.0
+ Revision: 230489
- Patch2 (Graeme Gill): fix concurrent timeout handling (new version, doesn't regress on G15)

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.12-10mdv2009.0
+ Revision: 223015
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.12-9mdv2008.1
+ Revision: 170961
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.12-8mdv2008.1
+ Revision: 157640
- Remove patch2, it causes regression in libg15/G15Daemon (reported by Mike Lampard)

* Wed Jan 23 2008 Frederic Crozat <fcrozat@mandriva.com> 0.1.12-7mdv2008.1
+ Revision: 157162
- Remove patch2 (dropping 1ms wakeup), it breaks pilot-link libusb backend
- Patch2 (Graeme Gill): fix concurrency timeout handling (needed for some colormiters in Argyllcms)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.1.12-6mdv2008.1
+ Revision: 121708
- Patch1 (Fedora): optimize usb_find_device
- Patch2 (Fedora): remove unnecessary 1ms wakeups while USB transfers are in progress

* Tue Aug 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.12-5mdv2008.0
+ Revision: 68094
- new devel library policy
- provide patch 1 (from Fedora)
- spec file clean

* Mon Apr 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.1.12-4mdv2007.1
+ Revision: 13505
- Bump release


* Mon Dec 18 2006 Olivier Blin <oblin@mandriva.com> 0.1.12-3mdv2007.0
+ Revision: 98585
- fix lubusbpp symlink (#27711)
- Import libusb

* Thu Aug 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.1.12-2mdv2007.0
- rebuild

* Thu Mar 09 2006 Götz Waschk <waschk@mandriva.org> 0.1.12-1mdk
- drop patches (merged)
- fix source URL
- New release 0.1.12

* Sat Jan 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.11-2mdk
- fix patch1: sizeof() returns a size_t, not an unsigned long

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 0.1.11-1mdk
- 0.1.11
- Patch0: open /dev/bus/usb prior to /proc/bus/usb (from Debian)
- Patch1: fix build (use %%lu for long unsigned int, from CVS)
- add pkgconfig file in -devel package

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.10a-2mdk
- move back /lib/*.la into the main package

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.10a-1mdk
- new release
- fix build
- move /lib/*.la into the -devel subpackage (#17228)

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8-7mdk
- really fix build of other packages (eg: sane, kdegraphics)

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1.8-6mdk
- fix libtoolery

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8-5mdk
- fix multiarch support (workaround libtool deficienties)

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.8-4mdk
- move librarie from /usr/lib into /lib for UPS shutdown

* Sun Jan 23 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.8-3mdk
- rebuild
- wipe out buildroot at the beginning of %%install

* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.8-2mdk
- add BuildRequires: docbook-dtd31-sgml docbook-style-dsssl

* Thu Jun 03 2004 Abel Cheung <deaddog@deaddog.org> 0.1.8-1mdk
- New version
- Build docs too

